package java.security.acl;

import java.util.Enumeration;
import java.security.Principal;

public interface AclEntry extends Cloneable
{
    public abstract boolean setPrincipal(Principal p0);
    
    public abstract Principal getPrincipal();
    
    public abstract void setNegativePermissions();
    
    public abstract boolean isNegative();
    
    public abstract boolean addPermission(Permission p0);
    
    public abstract boolean removePermission(Permission p0);
    
    public abstract boolean checkPermission(Permission p0);
    
    public abstract Enumeration<Permission> permissions();
    
    public abstract String toString();
    
    public abstract Object clone();
}
